diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeDryForest.java b/src/main/java/net/minecraft/core/world/biome/BiomeDryForest.java
index 2dfd2d990..ebea517eb 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeDryForest.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeDryForest.java
@@ -3,10 +3,7 @@ package net.minecraft.core.world.biome;
 import net.minecraft.core.entity.animal.EntityWolf;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.entity.SpawnListEntry;
-import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeCherry;
-import net.minecraft.core.world.generate.feature.tree.WorldFeatureTree;
-import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeEucalyptus;
-import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeFancy;
+import net.minecraft.core.world.generate.feature.tree.*;
 import net.minecraft.core.world.generate.feature.WorldFeature;
 
 import java.util.Random;
@@ -22,13 +19,10 @@ public class BiomeDryForest extends BiomeForest
     public WorldFeature getRandomWorldGenForTrees(Random random)
     {
 
-        if(random.nextInt(20) == 0)
-        {
-            return new WorldFeatureTree(Block.leavesBirch.id, Block.logBirch.id, 5);
-        }
-        if(random.nextInt(6) == 0)
+
+        if(random.nextInt(3) == 0)
         {
-            return new WorldFeatureTreeEucalyptus(Block.leavesEucalyptus.id, Block.logEucalyptus.id);
+            return new WorldFeatureTreeShrub(Block.leavesOak.id, Block.logOak.id);
         } else
         {
             return new WorldFeatureTree(Block.leavesOak.id, Block.logOak.id, 4);
